package EFS::CLI::ReleaseLink;

use strict;
use warnings;
use English;

use base q{EFS::CLI};
use base q{EFS::DBI};

use Params::Validate qw( :all );

sub redirect {

    my $class = shift;
    my $method = shift;
    my %args = @_;

    my $message = qq{Releaselink has been renamed to releasealias\n};

    my $feature_rs = $class->get_resultset( q{Feature} );
    if ( $feature_rs->configured(q{enable_releaselink_compatibility}) ) {
        warn( qq{WARNING: $message} );
        return EFS::CLI::ReleaseAlias->$method( %args );
    }
    else {
        return die( $message );
    }

}

sub create {
    return shift->redirect( q{create}, @_ );
}

sub disttree {
    return shift->redirect( q{disttree}, @_ );
}

sub dist {
    return shift->redirect( q{dist}, @_ );
}

sub destroy {
    return shift->redirect( q{destroy}, @_ );
}

sub display {
    return shift->redirect( q{display}, @_ );
}

sub history {
    return shift->redirect( q{history}, @_ );
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
