package EFS::DBI::Result::InstallCellState;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{install_cellstate} );

__PACKAGE__->add_columns( qw( install cell updatetime ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{install_cellstate_seq} );

__PACKAGE__->belongs_to( install => q{EFS::DBI::Result::Install} );
__PACKAGE__->belongs_to( cell    => q{EFS::DBI::Result::Cell} );

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
