package EFS::DBI::Result::LocationAttrs;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{location_attrs} );

__PACKAGE__->add_columns( qw( location name value ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{location_attrs_seq} );

__PACKAGE__->belongs_to( location => q{EFS::DBI::Result::Location} );

sub display_columns {
    return qw(region campus location name value);
}

sub display_headers {
    return qw(Region Campus Location Attribute Value);
}

sub campus {
    return shift->location->campus;
}

sub region {
    return shift->location->campus->region;
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
