package EFS::DBI::Result::RsyncStats;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix TimeStamp Core/ );

__PACKAGE__->table( q{rsyncstats} );

__PACKAGE__->add_columns( qw( metaproj project release install diststats
                              status src_cell dest_cell bytes_sent
                              bytes_received bytes_rate total_size speedup
                              file_count file_xfer_count file_size
                              file_xfer_size ) );
__PACKAGE__->add_columns(
    id => {
        __PACKAGE__->get_id_column_attrs,
    },
    starttime => {
        data_type     => q{datetime},
        set_on_create => 1,
    },
    endtime => {
        data_type     => q{datetime},
        set_on_update => 1,
    },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{rsyncstats_seq} );

__PACKAGE__->belongs_to( diststats => q{EFS::DBI::Result::DistStats} );

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
