package EFS::FQDN;

use strict;
use warnings;
use Carp;

require Exporter;
use base q{Exporter};

our @EXPORT_OK = qw( fqdn );

use Sys::Hostname::FQDN;

sub fqdn {
    my $fqdn = Sys::Hostname::FQDN::fqdn or croak qq{Unable to determine fqdn\n};
    $fqdn =~ m{\.}msx or croak qq{Invalid fqdn '$fqdn': no domain\n};
    return $fqdn;
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
