#!/usr/bin/env perl

use strict;
use warnings;
use English;

use Config;

use blib;
use EFS;

use lib q{test/lib};
use EFS::Test;
use EFS::Test::Config;

use Test::More tests => 2;

my $config        = EFS::Test::Config->new;
my $rdc_efsserver = $config->get_value( q{RemoteDevCell}, q{efsserver} );
my $sshcmd        = $config->get_value( q{Global}, q{sshcmd} );

my $perl = $Config{perlpath};
my $blib = $ENV{PWD} . q{/blib/lib};
my $efsd = $ENV{PWD} . q{/bin/efsd};

if ( $perl =~ m{/efs/test}msx ) {
    $perl = qq{EFS_PLATFORM=$ENV{EFS_PLATFORM} EFS_PERL_DEPENDS_RUNTIME_GLOBAL=efs/core/test $perl};
}

system (qq{$perl -I$blib $efsd -restart});
ok( $CHILD_ERROR == 0, q{Started LocalDevCell efsd instance} );

system (qq{$sshcmd $rdc_efsserver '$perl -I$blib $efsd -restart'});
ok( $CHILD_ERROR == 0, q{Started RemoteDevCell efsd instance} );

1;

